{% extends "users/userspace.html" %}

{% block content %}
    <div class="container">

        <h1>{{ ferme.nom }} / Enregistrer des livraisons</h1>

        <a href="{% url 'ferme_hub' ferme_id=ferme.id %}" class="btn btn-secondary">
            Retour
        </a>

        {% if form.errors %}
            <div class="alert alert-danger" role="alert">
                {% for fieldname, errors in form.errors.items %}
                    {% if fieldname == "__all__" %}
                        Problèmes :
                    {% else %}
                        {{ fieldname }} :
                    {% endif %}
                    <ul>
                        {% for error in errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                {% endfor %}
            </div>
        {% endif %}

    {% if success_display %}
        <div class="alert alert-success" role="alert">
            Produit {{ success_display|get_item:"product" }} enregistré avec succès pour les dates
            {{ success_display|get_item:"dates" }}, pour {{ success_display|get_item:"units" }} unités de
            {{ success_display|get_item:"amount_per_unit" }} à {{ success_display|get_item:"price_per_unit" }} €
            et dont les inscriptions clotûrent {{ success_display|get_item:"days" }} jours avant la livraison.
        </div>
    {% endif %}

        <form method="post" action="#">
            {% csrf_token %}

            <div class="mb-3">
                <label for="{{ form.produit.id_for_label }}" class="form-label">
                    {{ form.produit.label }}
                </label>

                {{ form.produit }}
            </div>

            <div class="mb-3">
                <label for="{{ form.unites_dispo.id_for_label }}" class="form-label">
                    {{ form.unites_dispo.label }}
                </label>

                {{ form.unites_dispo }}
            </div>

            <div class="mb-3">
                <label for="{{ form.jours_avant_cloture.id_for_label }}" class="form-label">
                    {{ form.jours_avant_cloture.label }}
                    <div class="form-text">
                        {{ form.jours_avant_cloture.help_text }}
                    </div>
                </label>

                {{ form.jours_avant_cloture }}
            </div>

            <div class="mb-3">
                <label for="{{ form.distributions.id_for_label }}" class="form-label">
                    {{ form.distributions.label }}
                    <div class="form-text">
                        {{ form.distributions.help_text }}
                    </div>
                </label>

                {{ form.distributions }}
            </div>

            {% comment %}
            <div class="row">
                {{ form.tarif_vente.label_tag }}
                <small>{{ form.tarif_vente.help_text }}</small>
                {{ form.tarif_vente }}
            </div>

            <div class="row">
                {{ form.quantite_unitaire.label_tag }}
                <small>{{ form.quantite_unitaire.help_text }}</small>
                {{ form.quantite_unitaire }}
            </div>
            {% endcomment %}

            <button class="btn btn-primary" type="submit">
                Valider
            </button>
        </form>
    </div>
{% endblock %}
